cURL
curl --request GET \
--url https://api.maesn.dev/accounting/invoices/{invoiceId}/lineItems \
--header 'X-ACCOUNT-KEY: <x-account-key>' \
--header 'X-API-KEY: <x-api-key>'import requests
url = "https://api.maesn.dev/accounting/invoices/{invoiceId}/lineItems"
headers = {
"X-API-KEY": "<x-api-key>",
"X-ACCOUNT-KEY": "<x-account-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-KEY': '<x-api-key>', 'X-ACCOUNT-KEY': '<x-account-key>'}
};
fetch('https://api.maesn.dev/accounting/invoices/{invoiceId}/lineItems', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"warnings": [
"Field not used by target system"
],
"pagination": {
"total": 125,
"perPage": 50,
"currentPage": 1,
"totalPages": 3
}
},
"data": [
{
"lineItemId": "987a2b3c-4d5e-6f7g-8h9i-0j1k2l3m4n5o",
"accountId": "6733a433-9662-4a40-8e36-e38ebda94fe1",
"createdDate": "2021-01-01T00:00:00Z",
"description": "SEOUL Guest Chair, red",
"dimensions": [
{
"id": "c1d2e3f4-5678-9abc-def0-1234567890ab",
"categoryName": "CostCenter",
"name": "C1"
}
],
"discountItemAmount": 10,
"discountItemPercentage": 10,
"grossAmount": 109,
"itemsAmount": 100,
"itemId": "9fc4f3a2-5b8e-4d1b-8a0c-9f6e7d2f3e4b",
"name": "RED CHAIR",
"quantity": 1,
"taxCode": "03",
"taxRatePercentage": 19,
"unitAmount": 100,
"updatedDate": "2021-01-01T00:00:00Z"
}
]
}Invoice Lines
Get invoice lines
GET
/
accounting
/
invoices
/
{invoiceId}
/
lineItems
cURL
Field support per integration

Business Central
Business Central
If you’re not using the Interactive Authentication Flow, make sure the query parameters
environmentName and companyId are correctly populated.
You can obtain these values by using the GET Environments and GET Companies endpoints available under the Authentication section.enum
Available options:
5, 10, 20, 50, 100number
boolean
string
string
string
number
number
number
number
number
Note that quantity can be a decimal numeral.
string
number
number

Lexware Office
Lexware Office

Sage Active
Sage Active
If you’re not using the Interactive Authentication Flow, make sure the query parameter
companyId is correctly populated.
You can obtain this value by using the GET Companies endpoint available under the Authentication section. Please use the id field as the companyId.enum
Available options:
5, 10, 20, 50, 100number
boolean
string
string
number
number
number
string
number
Note that quantity can be a decimal numeral.
number
number
string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z

sevdesk
sevdesk
Query parameters:Supported response fields:
enum
Available options:
5, 10, 20, 50, 100number
boolean
string
string
string
number
number
number
string
number
Note that quantity can be a decimal numeral.
number
number
string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z

Xentral
Xentral
Path Parameters
Query Parameters
Available options:
5, 10, 20, 50, 100 Last modified on July 10, 2026
Was this page helpful?